Uploaded image for project: 'Modules'
  1. Modules
  2. MODULES-5979

puppet_agent : AIX upgrades with Puppet 5 fail

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Critical
    • Resolution: Fixed
    • Affects Version/s: puppet_agent 1.4.1
    • Fix Version/s: puppet_agent 1.5.0
    • Component/s: puppet_agent
    • Labels:
      None
    • Template:
      MODULES Bug Template
    • Method Found:
      Needs Assessment
    • QA Risk Assessment:
      Needs Assessment

      Description

      Basic Info
      Module Version: 1.4.1
      Puppet Version: Puppet 5+
      OS Name/Version: AIX

      Upgrades starting with a Puppet 5 package (and upgrading to a later Puppet 5 package) fail. Running puppet agent -t to trigger an upgrade results in:

      ...
      Error: Could not convert change ensure to string: No such file or directory @ rb_sysopen - /opt/puppetlabs/puppet/lib/ruby/gems/2.4.0/gems/fast_gettext-1.1.0/lib/fast_gettext/vendor/empty.mo
      Error: No such file or directory @ rb_sysopen - /opt/puppetlabs/puppet/lib/ruby/gems/2.4.0/gems/fast_gettext-1.1.0/lib/fast_gettext/vendor/empty.mo
      

      This is pretty much identical to MODULES-5942, but on AIX instead of Solaris 10.

      Desired Behavior:

      Upgrade should succeed.

      Actual Behavior:

      Upgrade attempt uninstalls puppet-agent, then fails. Puppet needs to be manually reinstalled on agent.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              michael.smith Michael Smith
              Reporter:
              michael.smith Michael Smith
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Zendesk Support